tigase.jaxmpp.core.client.xmpp.modules.streammng

## Class StreamManagementModule.StreamResumedHandler.StreamResumedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<StreamManagementModule.StreamResumedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.streammng.StreamManagementModule.StreamResumedHandler.StreamResumedEvent

- Enclosing interface:
    StreamManagementModule.StreamResumedHandler

      public static class StreamManagementModule.StreamResumedHandler.StreamResumedEvent
      extends JaxmppEvent<StreamManagementModule.StreamResumedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamResumedEvent(SessionObject sessionObject, Long h, String previd)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(StreamManagementModule.StreamResumedHandler handler)` Invokes handlers method.
    `Long` | `getH()`
    `String` | `getPrevid()`
    `void` | `setH(Long h)`
    `void` | `setPrevid(String previd)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamResumedEvent

          public StreamResumedEvent(SessionObject sessionObject,
                                    Long h,
                                    String previd)

  - ### Method Detail

    - #### dispatch

          public void dispatch(StreamManagementModule.StreamResumedHandler handler)
                        throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<StreamManagementModule.StreamResumedHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getH

          public Long getH()

    - #### setH

          public void setH(Long h)

    - #### getPrevid

          public String getPrevid()

    - #### setPrevid

          public void setPrevid(String previd)

Copyright © 2006–2020 Tigase. All rights reserved.